Skip to main content
GET
/
project
/
{project_id}
/
vm
List all VMs
curl --request GET \
  --url https://api.ubicloud.com/project/{project_id}/vm \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.ubicloud.com/project/{project_id}/vm"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.ubicloud.com/project/{project_id}/vm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "items": [
    {
      "boot_image": "<string>",
      "id": "vmhfy8gff8c67hasb0eez2k1pd",
      "ip4": "127.0.0.1",
      "ip4_enabled": true,
      "ip6": "2606:4700:3108::ac42:2835",
      "location": "eu-central-h1",
      "name": "my-vm-name",
      "size": "<string>",
      "state": "<string>",
      "storage_size_gib": 123,
      "unix_user": "<string>"
    }
  ]
}
{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

Query Parameters

start_after
string

Pagination - Start after

page_size
integer
default:10

Pagination - Page size

order_column
string
default:id

Pagination - Order column

Response

A list of VMs

count
integer
required
items
object[]
required